import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增菜单
    addsystemmenu(data) {
        return request({
            url: '/system/menu',
            method: 'post',
            data
        })
    },
    //删除菜单
    delsystemmenu(data) {
        return request({
            url: '/system/menu/delete/' + data,
            method: 'post',
        })
    },
    //修改菜单
    editsystemmenu(data) {
        return request({
            url: '/system/menu/edit',
            method: 'post',
            data
        })
    },
    //获取菜单列表
    getsystemmenu(data) {
        return request({
            url: '/system/menu/list',
            method: 'get',
            params: data
        })
    },
    //加载对应角色菜单列表树
    roleMenuTreeselect(data) {
        return request({
            url: `/system/menu/roleMenuTreeselect/` + data,
            method: 'get',
        })
    },
    //获取菜单下拉树列表
    enutreeselect(data) {
        return request({
            url: `/system/menu/treeselect/`,
            method: 'get',
            params: data
        })
    },
    //根据菜单编号获取详细信息
    enutreeselectmenu(data) {
        return request({
            url: `/system/menu/` + data,
            method: 'get',
        })
    },
}